# getOrder - Returns the details of the order with the specified order number.

Returns the details of the order with the specified order number.

Endpoint: GET /orders/{orderNo}

## Path parameters:

  - `orderNo` (string, required)
    The order number.

## Query parameters:

  - `siteId` (string, required)
    The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.

## Response 200 fields (application/json):

  - `shipments` (array)
    List of the shipment items of the basket.

  - `shipments.c_marketplaceData` (object)
    Additional Mirakl data related to the shipment.

  - `shipments.c_marketplaceData.errors` (array)
    Marketplace shipping errors related to the shipment and the offers.

  - `shipments.c_marketplaceData.errors.code` (string, required)
    Code of the shipping error.
    Example: "offer_quantity_not_available"

  - `shipments.c_marketplaceData.errors.maximumQuantity` (integer)
    The maximum quantity available for an offer.
    Example: 12

  - `shipments.c_marketplaceData.errors.offerId` (string)
    The offer ID concerned by the error.
    Example: "2258"

  - `shipments.c_marketplaceData.errors.price` (object)

  - `shipments.c_marketplaceData.errors.price.originValue` (number)
    Original price value before any discounts or changes.
    Example: 45

  - `shipments.c_marketplaceData.errors.price.value` (number, required)
    Current price value.
    Example: 40

  - `shipments.c_marketplaceData.errors.shippingTypeCode` (string)
    The shipping type code concerned by the error.
    Example: "EXP"

  - `shipments.c_marketplaceData.isSH02Done` (boolean, required)
    A boolean indicating whether SH02 has been called.
    Example: true

  - `shipments.c_marketplaceData.shipments` (array)
    The marketplace shipments data.

  - `shipments.c_marketplaceData.shipments.shippingMethods` (array)

  - `shipments.c_marketplaceData.shipments.shippingMethods.cutOffNextDate` (string)
    Cut-off date and time for the shipping method.

  - `shipments.c_marketplaceData.shipments.shippingMethods.deliveryDateTime` (object)

  - `shipments.c_marketplaceData.shipments.shippingMethods.deliveryDateTime.earliest` (string)
    Earliest delivery date and time.

  - `shipments.c_marketplaceData.shipments.shippingMethods.deliveryDateTime.latest` (string)
    Latest delivery date and time.

  - `shipments.c_marketplaceData.shipments.shippingMethods.id` (string)
    Identifier of the shipping method.

  - `shipments.c_marketplaceData.shipments.shippingMethods.price` (object)

  - `shipments.c_marketplaceData.shipments.shippingMethods.price.value` (number)
    Price of the shipping method.

  - `shipments.c_marketplaceData.shipments.shippingMethods.selected` (boolean)
    Whether this shipping method is selected.

  - `shipments.c_marketplaceData.shippingPrice` (object, required)

  - `shipments.c_marketplaceData.shippingPrice.originValue` (number)
    Original price value before any discounts or changes.
    Example: 45

  - `shipments.c_marketplaceData.shippingPrice.value` (number, required)
    Current price value.
    Example: 40

  - `shipments.c_marketplaceData.shippingTaxes` (object, required)

  - `shipments.c_marketplaceData.shippingTaxes.originValue` (number)
    Original price value before any discounts or changes.
    Example: 45

  - `shipments.c_marketplaceData.shippingTaxes.value` (number, required)
    Current price value.
    Example: 40

  - `shipments.adjustedMerchandizeTotalTax` (number)
    Adjusted merchandise total tax for the shipment.
    Example: 37

  - `shipments.adjustedShippingTotalTax` (number)
    Adjusted shipping total tax for the shipment.
    Example: 0.5

  - `shipments.gift` (boolean)
    Indicates if the shipment contains a gift.

  - `shipments.merchandizeTotalTax` (number)
    The total merchandise tax for the shipment.
    Example: 30

  - `shipments.productSubTotal` (number)
    The subtotal for products in the shipment.
    Example: 599.97

  - `shipments.productTotal` (number)
    The total price for products in the shipment.
    Example: 599.97

  - `shipments.shipmentId` (string)
    The unique identifier of the shipment.
    Example: "me"

  - `shipments.shipmentTotal` (number)
    The total price of the shipment, including shipping and tax.
    Example: 646.76

  - `shipments.shippingAddress` (object)
    The shipping address for the shipment.

  - `shipments.shippingAddress.address1` (string)
    The first line of the address.
    Example: "4162 Turkey Pen Road"

  - `shipments.shippingAddress.city` (string)
    The city of the address.
    Example: "New York"

  - `shipments.shippingAddress.countryCode` (string)
    The country code of the address.
    Example: "US"

  - `shipments.shippingAddress.firstName` (string)
    The first name of the recipient.
    Example: "Agustin"

  - `shipments.shippingAddress.fullName` (string)
    The full name of the recipient.
    Example: "Agustin Estes"

  - `shipments.shippingAddress.id` (string)
    The unique identifier of the shipping address.
    Example: "d5d95acf5381dc6e273b4336a7"

  - `shipments.shippingAddress.lastName` (string)
    The last name of the recipient.
    Example: "Estes"

  - `shipments.shippingAddress.postalCode` (string)
    The postal code of the address.
    Example: "10016"

  - `shipments.shippingAddress.stateCode` (string)
    The state code of the address.
    Example: "NY"

  - `shipments.shippingMethod` (object)
    The shipping method for the shipment.

  - `shipments.shippingMethod.description` (string)
    Description of the shipping method.
    Example: "Order received within 7-10 business days"

  - `shipments.shippingMethod.id` (string)
    The unique identifier of the shipping method.
    Example: "001"

  - `shipments.shippingMethod.name` (string)
    The name of the shipping method.
    Example: "Ground"

  - `shipments.shippingMethod.price` (number)
    The price of the shipping method.
    Example: 15.99

  - `shipments.shippingStatus` (string)
    The shipping status of the shipment.
    Enum: "not_shipped", "part_shipped", "shipped"

  - `shipments.shippingTotal` (number)
    The total shipping cost for the shipment.
    Example: 15.99

  - `shipments.shippingTotalTax` (number)
    The total tax on shipping charges for the shipment.
    Example: 0.8

  - `shipments.taxTotal` (number)
    The total tax for the shipment.
    Example: 30.8

  - `adjustedMerchandizeTotalTax` (number)
    The total tax on products in the order, including price adjustments, but not including service charges such as shipping.
    Example: 30

  - `adjustedShippingTotalTax` (number)
    The total tax on shipping charges in the order, including shipping price adjustments.
    Example: 0.8

  - `billingAddress` (object)
    The billing address.

  - `billingAddress.address1` (string)
    The first line of the address.
    Example: "104 Presidential Way"

  - `billingAddress.city` (string)
    The city of the address.
    Example: "Woburn"

  - `billingAddress.countryCode` (string)
    The country code of the address.
    Example: "US"

  - `billingAddress.firstName` (string)
    The first name of the customer.
    Example: "Stephanie"

  - `billingAddress.fullName` (string)
    The full name of the customer.
    Example: "Stephanie Miller"

  - `billingAddress.id` (string)
    The unique identifier of the billing address.
    Example: "5f695b6f4bb63cb686483d65a0"

  - `billingAddress.lastName` (string)
    The last name of the customer.
    Example: "Miller"

  - `billingAddress.postalCode` (string)
    The postal code of the address.
    Example: "01801"

  - `billingAddress.stateCode` (string)
    The state code of the address.
    Example: "MA"

  - `channelType` (string)
    The sales channel.
    Enum: "storefront", "callcenter", "marketplace", "dss", "store", "pinterest", "twitter", "facebookads", "subscriptions", "onlinereservation", "customerservicecenter", "instagramcommerce", "tiktok", "snapchat", "google", "whatsapp", "youtube"

  - `confirmationStatus` (string)
    The confirmation status.
    Enum: "not_confirmed", "confirmed"

  - `couponItems` (array)
    The coupon items.

  - `couponItems.code` (string)
    The coupon code.
    Example: "5ties"

  - `couponItems.couponItemId` (string)
    The unique identifier for the coupon item.
    Example: "d3f7ae47e5897a6b5d2fd541f0"

  - `couponItems.statusCode` (string)
    The status of the coupon.
    Example: "applied"

  - `couponItems.valid` (boolean)
    Indicates if the coupon is valid.
    Example: true

  - `createdBy` (string)
    Indicates who created the order.
    Example: "Customer"

  - `creationDate` (string)
    The timestamp when the order was created.
    Example: "2019-10-22T12:17:28.341Z"

  - `currency` (string)
    The ISO 4217 currency code of the order.
    Example: "USD"

  - `customerInfo` (object)
    The customer information for guest or logged-in customers.

  - `customerInfo.customerId` (string)
    The unique identifier of the customer.
    Example: "beQeANXJNsd0xcINsB6cSrobQa"

  - `customerInfo.customerName` (string)
    The name of the customer.
    Example: "Stephanie Miller"

  - `customerInfo.email` (string)
    The email of the customer.
    Example: "shopper@salesforce-test.com"

  - `customerName` (string)
    The name of the customer.
    Example: "Stephanie Miller"

  - `exportStatus` (string)
    The export status of the order.
    Enum: "not_exported", "exported", "ready", "failed"

  - `giftCertificateItems` (array)
    The gift certificate line items.

  - `giftCertificateItems.amount` (number)
    The amount of the gift certificate.
    Example: 1

  - `giftCertificateItems.giftCertificateItemId` (string)
    The unique identifier of the gift certificate item.
    Example: "540db3ffe58bfb04ab673757d7"

  - `giftCertificateItems.recipientEmail` (string)
    The email of the recipient of the gift certificate.
    Example: "miller@salesforce-test.com"

  - `giftCertificateItems.shipmentId` (string)
    The shipment ID associated with the gift certificate.
    Example: "me"

  - `groupedTaxItems` (array)
    Tax values grouped and summed based on the tax rate. The tax totals of the line items with the same tax rate are grouped together and summed up.

  - `groupedTaxItems._type` (string)
    The type of the tax grouping.
    Example: "grouped_tax"

  - `groupedTaxItems.tax_rate` (number)
    The tax rate for the grouped items.
    Example: 0.05

  - `groupedTaxItems.tax_value` (number)
    The total tax value for the grouped items.
    Example: 30.8

  - `guest` (boolean)
    Indicates whether the order was placed by a guest customer.
    Example: true

  - `lastModified` (string)
    The timestamp when the order was last modified.
    Example: "2019-10-22T12:17:28.376Z"

  - `merchandizeTotalTax` (number)
    The total tax on merchandise in the order.
    Example: 30

  - `notes` (object)
    Additional notes associated with the order.

  - `orderNo` (string)
    The order number.
    Example: "00000410"

  - `orderPriceAdjustments` (array)
    The order-level price adjustments.

  - `orderPriceAdjustments.appliedDiscount` (object)
    The discount applied to the order.

  - `orderPriceAdjustments.appliedDiscount.amount` (number)
    The amount of the discount.
    Example: 10

  - `orderPriceAdjustments.appliedDiscount.type` (string)
    The type of discount applied.
    Example: "amount"

  - `orderPriceAdjustments.createdBy` (string)
    Indicates who created the price adjustment.
    Example: "support"

  - `orderPriceAdjustments.creationDate` (string)
    The timestamp when the price adjustment was created.
    Example: "2019-10-22T12:17:28.347Z"

  - `orderPriceAdjustments.custom` (boolean)
    Indicates whether the price adjustment was custom.
    Example: true

  - `orderPriceAdjustments.lastModified` (string)
    The timestamp when the price adjustment was last modified.
    Example: "2019-10-22T12:17:28.349Z"

  - `orderPriceAdjustments.manual` (boolean)
    Indicates whether the price adjustment was applied manually.
    Example: true

  - `orderPriceAdjustments.price` (number)
    The price adjustment amount.
    Example: -10

  - `orderPriceAdjustments.priceAdjustmentId` (string)
    The unique identifier for the price adjustment.
    Example: "63b9eb9b4a92bd3e5c6ee804c2"

  - `orderPriceAdjustments.promotionId` (string)
    The promotion ID associated with the price adjustment.
    Example: "5ties"

  - `orderPriceAdjustments.reasonCode` (string)
    The reason for the price adjustment.
    Example: "customer service"

  - `orderToken` (string)
    The order token used to secure the lookup of an order.
    Example: "7gJDIFlnho_mXrxfxVB9Neic3J7szzR9glvgU5Ath-I"

  - `orderTotal` (number)
    The total price of the order, including products, shipping, and tax.
    Example: 586.76

  - `orderViewCode` (string)
    The order view code used to secure the order lookup via the Order Lookup API.
    Example: "YGXrGbZWlr29tIsGnYgR5o_8OxBMXWigevx1WD0X1Hc"

  - `paymentInstruments` (array)
    The list of payment instruments used in the order.

  - `paymentInstruments.amount` (number)
    The amount charged with this payment instrument.
    Example: 20

  - `paymentInstruments.paymentCard` (object)
    Information about the payment card (if applicable).

  - `paymentInstruments.paymentCard.cardType` (string)
    The type of card used.
    Example: "Visa"

  - `paymentInstruments.paymentCard.creditCardExpired` (boolean)
    Indicates if the credit card has expired.

  - `paymentInstruments.paymentInstrumentId` (string)
    The unique identifier for the payment instrument.
    Example: "ca47e0da3d49b067b630db624a"

  - `paymentInstruments.paymentMethodId` (string)
    The payment method ID.
    Example: "BML"

  - `paymentStatus` (string)
    The payment status of the order.
    Enum: "not_paid", "part_paid", "paid"

  - `productItems` (array)
    The list of product items in the order.

  - `productItems.adjustedTax` (number)
    The adjusted tax for the product item.
    Example: 30

  - `productItems.basePrice` (number)
    The base price of the product item.
    Example: 199.99

  - `productItems.bonusProductLineItem` (boolean)
    Indicates if the product is a bonus item.

  - `productItems.gift` (boolean)
    Indicates if the product is a gift.

  - `productItems.itemId` (string)
    The unique identifier for the product item.
    Example: "d9516eecc64bd90b0022714d26"

  - `productItems.itemText` (string)
    A description of the product.
    Example: "Green Umbrella - Sustained Edition"

  - `productItems.optionItems` (array)
    The list of options for the product item.

  - `productItems.optionItems.adjustedTax` (number)
    The adjusted tax for the option item.

  - `productItems.optionItems.basePrice` (number)
    The base price of the option item.

  - `productItems.optionItems.bonusProductLineItem` (boolean)
    Indicates if the option item is a bonus.

  - `productItems.optionItems.gift` (boolean)
    Indicates if the option item is a gift.

  - `productItems.optionItems.itemId` (string)
    The unique identifier of the option item.
    Example: "8991e8d7adf0f46ffbc584e175"

  - `productItems.optionItems.itemText` (string)
    A description of the option item.
    Example: "We will plant a tree for your order."

  - `productItems.optionItems.optionId` (string)
    The option ID.
    Example: "plantATree"

  - `productItems.optionItems.optionValueId` (string)
    The option value ID.
    Example: "000"

  - `productItems.optionItems.price` (number)
    The price of the option item.

  - `productItems.optionItems.priceAfterItemDiscount` (number)
    The price after item-level discounts.

  - `productItems.optionItems.priceAfterOrderDiscount` (number)
    The price after order-level discounts.

  - `productItems.optionItems.productId` (string)
    The product ID for the option item.
    Example: "000"

  - `productItems.optionItems.productName` (string)
    The product name for the option item.
    Example: "Plant a tree."

  - `productItems.optionItems.quantity` (integer)
    The quantity of the option item.
    Example: 3

  - `productItems.optionItems.shipmentId` (string)
    The shipment ID associated with the option item.
    Example: "me"

  - `productItems.optionItems.tax` (number)
    The tax applied to the option item.

  - `productItems.optionItems.taxBasis` (number)
    The tax basis for the option item.

  - `productItems.optionItems.taxClassId` (string)
    The tax class ID for the option item.
    Example: "standard"

  - `productItems.optionItems.taxRate` (number)
    The tax rate applied to the option item.
    Example: 0.05

  - `productItems.price` (number)
    The price of the product item.
    Example: 599.99

  - `productItems.priceAfterItemDiscount` (number)
    The price after item-level discounts.
    Example: 599.99

  - `productItems.priceAfterOrderDiscount` (number)
    The price after order-level discounts.
    Example: 589.99

  - `productItems.productId` (string)
    The product ID of the item.
    Example: "green-umbrella"

  - `productItems.productName` (string)
    The product name of the item.
    Example: "Green Umbrella - Sustained Edition"

  - `productItems.quantity` (integer)
    The quantity of the product item.
    Example: 3

  - `productItems.shipmentId` (string)
    The shipment ID associated with the product item.
    Example: "me"

  - `productItems.tax` (number)
    The tax applied to the product item.
    Example: 30

  - `productItems.taxBasis` (number)
    The tax basis for the product item.
    Example: 599.97

  - `productItems.taxClassId` (string)
    The tax class ID for the product item.
    Example: "standard"

  - `productItems.taxRate` (number)
    The tax rate applied to the product item.
    Example: 0.05

  - `productSubTotal` (number)
    The subtotal for all products in the order.
    Example: 599.97

  - `productTotal` (number)
    The total price for all products in the order.
    Example: 599.97

  - `shippingItems` (array)
    The shipping items in the order.

  - `shippingItems.adjustedTax` (number)
    Adjusted tax for the shipping item.
    Example: 0.8

  - `shippingItems.basePrice` (number)
    Base price of the shipping item.
    Example: 15.99

  - `shippingItems.itemId` (string)
    Unique identifier for the shipping item.
    Example: "768abee75aa8015239a9696c7e"

  - `shippingItems.itemText` (string)
    Description of the shipping item.
    Example: "Shipping"

  - `shippingItems.price` (number)
    Price of the shipping item.
    Example: 15.99

  - `shippingItems.priceAfterItemDiscount` (number)
    Price after item-level discounts.
    Example: 15.99

  - `shippingItems.shipmentId` (string)
    The shipment ID associated with the shipping item.
    Example: "me"

  - `shippingItems.tax` (number)
    Tax applied to the shipping item.
    Example: 0.8

  - `shippingItems.taxBasis` (number)
    Tax basis for the shipping item.
    Example: 15.99

  - `shippingItems.taxClassId` (string)
    Tax class ID for the shipping item.
    Example: "standard"

  - `shippingItems.taxRate` (number)
    Tax rate applied to the shipping item.
    Example: 0.05

  - `shippingStatus` (string)
    The overall shipping status of the order.
    Enum: "not_shipped", "part_shipped", "shipped"

  - `shippingTotal` (number)
    The total cost of shipping for the order.
    Example: 15.99

  - `shippingTotalTax` (number)
    The total tax on shipping for the order.
    Example: 0.8

  - `status` (string)
    The overall status of the order.
    Enum: "created", "new", "completed", "cancelled", "replaced", "failed"

  - `taxTotal` (number)
    The total tax amount for the order.
    Example: 30.8

  - `taxation` (string)
    The taxation policy for the order.
    Enum: "gross", "net"

## Response 404 fields (application/json):

  - `detail` (string)
    Error detail.
    Example: "The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modifications"

  - `status` (string)
    Error status
    Example: "400"

  - `title` (string)
    Error title.
    Example: "Bad Request"

  - `type` (string)
    Error type.
    Example: "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request"


